<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-control.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mcm-control_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-control.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="mcm-control_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a88be1af5a60eeebc99157b7dd506a760"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-control_8h.html#a88be1af5a60eeebc99157b7dd506a760">mcm_control_start</a> (void)</td></tr>
<tr class="memdesc:a88be1af5a60eeebc99157b7dd506a760"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to start MCMD.  <a href="mcm-control_8h.html#a88be1af5a60eeebc99157b7dd506a760">More...</a><br /></td></tr>
<tr class="separator:a88be1af5a60eeebc99157b7dd506a760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5401ca406e4eaa8a98c52a2299ccd512"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-control_8h.html#a5401ca406e4eaa8a98c52a2299ccd512">mcm_control_stop</a> (void)</td></tr>
<tr class="memdesc:a5401ca406e4eaa8a98c52a2299ccd512"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to stop MCMD.  <a href="mcm-control_8h.html#a5401ca406e4eaa8a98c52a2299ccd512">More...</a><br /></td></tr>
<tr class="separator:a5401ca406e4eaa8a98c52a2299ccd512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499289897c801b7541ba651817de8945"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-control_8h.html#a499289897c801b7541ba651817de8945">mcm_control_reload</a> (void)</td></tr>
<tr class="memdesc:a499289897c801b7541ba651817de8945"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to reload configure files.  <a href="mcm-control_8h.html#a499289897c801b7541ba651817de8945">More...</a><br /></td></tr>
<tr class="separator:a499289897c801b7541ba651817de8945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f7664dc286ccda6b00b66706e52a66d"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-control_8h.html#a3f7664dc286ccda6b00b66706e52a66d">mcm_control_get_state</a> (void)</td></tr>
<tr class="memdesc:a3f7664dc286ccda6b00b66706e52a66d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to stop MCMD.  <a href="mcm-control_8h.html#a3f7664dc286ccda6b00b66706e52a66d">More...</a><br /></td></tr>
<tr class="separator:a3f7664dc286ccda6b00b66706e52a66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff2e06adabc2d1c2e9c73be139525d9f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-control_8h.html#aff2e06adabc2d1c2e9c73be139525d9f">mcm_control_reset_factory</a> (void)</td></tr>
<tr class="memdesc:aff2e06adabc2d1c2e9c73be139525d9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to reset factory configure files.  <a href="mcm-control_8h.html#aff2e06adabc2d1c2e9c73be139525d9f">More...</a><br /></td></tr>
<tr class="separator:aff2e06adabc2d1c2e9c73be139525d9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a3f7664dc286ccda6b00b66706e52a66d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f7664dc286ccda6b00b66706e52a66d">&#9670;&nbsp;</a></span>mcm_control_get_state()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* mcm_control_get_state </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to stop MCMD. </p>
<dl class="section return"><dt>Returns</dt><dd>If success return MCM state. If fail, return NULL. </dd></dl>

</div>
</div>
<a id="a499289897c801b7541ba651817de8945"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a499289897c801b7541ba651817de8945">&#9670;&nbsp;</a></span>mcm_control_reload()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_control_reload </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to reload configure files. </p>
<dl class="section return"><dt>Returns</dt><dd>If mcmd reload success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="aff2e06adabc2d1c2e9c73be139525d9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff2e06adabc2d1c2e9c73be139525d9f">&#9670;&nbsp;</a></span>mcm_control_reset_factory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_control_reset_factory </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to reset factory configure files. </p>
<dl class="section return"><dt>Returns</dt><dd>If mcmd reset factory success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a88be1af5a60eeebc99157b7dd506a760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88be1af5a60eeebc99157b7dd506a760">&#9670;&nbsp;</a></span>mcm_control_start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_control_start </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to start MCMD. </p>
<dl class="section return"><dt>Returns</dt><dd>If mcmd start success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a5401ca406e4eaa8a98c52a2299ccd512"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5401ca406e4eaa8a98c52a2299ccd512">&#9670;&nbsp;</a></span>mcm_control_stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_control_stop </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to stop MCMD. </p>
<dl class="section return"><dt>Returns</dt><dd>If mcmd stop success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="mcm-control_8h.html">mcm-control.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
